const minimist = require('minimist');
const { error } = require('./commands/util/error');

const commands = {
  help: 'help',
  init: 'init',
  open: 'open',
  help: 'help'
};

/**
 *
 * @param {minimist.ParsedArgs} args
 */
function parseArguments(args) {
  // default command
  let cmd = args._[0] ? args._[0].toLowerCase() : commands.help;

  switch (cmd) {
    case commands.init:
      const { initCmd } = require('./commands/init');
      initCmd(args);
      break;
    case commands.version:
      require('./commands/version')(args);
      break;
    case commands.open:
      require('./commands/open')(args);
      break;
    case commands.help:
      require('./commands/help')(args);
      break;
  }
}

function main() {
  parseArguments(minimist(process.argv.slice(2)));
}

main();
